Overview

FastStone Image Viewer is a FREE image browser, viewer and editor that supports all major graphic formats including BMP, JPEG, JPEG 2000, GIF, PNG, PCX, TIFF, WMF, ICO and TGA. It is easy to use for everyone from beginner to professional level, powerful and flexible enough to meet your needs even your collection grows by thousands daily. Its built-in crystal-clear magnifier presents every detail of the images gracefully. Its image Converter/Resizer enables you to convert, resize, rename, crop, color adjust, add text and watermark to images in a BATCH mode easier than ever. Other features include a full-screen image viewer with Select-Zoom support, slideshow, resize, crop, rotate, add shadows, add frames, reduce colors and many more.


Features

  • Image browser with a Window-Resource-Explorer user interface
  • Common image formats support, including loading of JPEG, JPEG2000, GIF, BMP, PNG, PCX, TIFF, WMF, ICO, TAG, EMF, PXM, WBMP and saving to TIFF, GIF, PCX, BMP, ICO, PNG, TGA, PXM, WBMP, JPEG, JPEG2000, PS, EPS, PDF.
  • Full screen viewer with Select - Zoom support
  • Crystal clear and customizable magnifier
  • Resizing, flipping, rotating, cropping, color adjusting tools
  • Image EXIF metadata support
  • Batch image converter/resizer
  • Slideshow with dozens of transitional effects
  • Undo, Redo and Mouse Wheel support
  • And Much more


System Requirements

  • All Windows platforms
  • 64MB RAM


View Images

FastStone Image Viewer is a powerful image Viewer that enables users:

  • View images in a variety of ways including select-zoom, customizable magnifier
  • Process images such as resizing, cropping, rotating and color adjusting etc
  • Convert and rename images in batches
  • Save images in different popular formats
  • Slideshows

Mouse & Keyboard Use:

  • Double click on a thumbnail image or single click on [image] will switch to a full screen viewer.
  • In full screen, move your mouse to the bottom border of the screen, a control bar (See the following figure) will show up to provide fast access to major functionalities. (Note: Move your mouse onto this bar and scroll mouse wheel will zoom in / out).

  • In full screen, move your mouse to the right border of the screen, image properties window with EXIF metadata will show up.
  • In full screen, move your mouse to the top border of the screen, a thumbnail browser window will pop up to provide fast access to other images in the same folder.
  • In full screen, move your mouse to the left border of the screen, a panel will pop up to provide fast access to file and edit functionalities.
  • In full screen, move your mouse to the right-bottom corner of the screen, windows task bar will pop up to provide fast switch to other programs running behind. (Win XP only)
  • When mouse cursor becomes a magnifier shape [image], it means the image is smaller than the viewer's size. Now, you can press and hold down the left mouse button, the image will be viewed in a magnifier. Move around the mouse with the left mouse button being pressed down will move the magnifier across the image. Magnifier zoom ratio and magnifier size [image] determine the look and feel of the magnifier.
  • When mouse cursor becomes a hand shape [image], it means the image is larger than the viewer's size. Now you can use the mouse to drag to move the image around.
  • When normal mode [image] is selected, press Ctrl key will change the mouse cursor to a cross shape [image]. Now you can use the mouse to SELECT and ZOOM (Select a rectangle area with your mouse left button and then release the button to zoom in that area).
  • When select mode [image] (or [image] or [image] ) is selected, press Ctrl key will change the mouse cursor to a cross shape [image]. Now use the mouse to define a selection. Right click your mouse on the selection, you can zoom, crop, cut and even save the selection into a file.
  • Scroll the middle wheel of your mouse - go to the previous or next image.
  • Press down Ctrl key and scroll the middle wheel of your mouse - zoom in or zoom out.
  • Press down Shift key, the mouse cursor will become a circle shape [image], left click on the image will zoom in and right click on the image will zoom out.
  • Press Space key or Right arrow key or PgDn key - go to the next image.
  • Press Back Space key or Left arrow key or PgUp key - go to the previous image.
  • Press Home Key - go to the first image.
  • Press End key - go to the last image.
  • Press 1,2,3,4 ...,0 - zoom the image into 100%,200%,300%,400%,...,1000%.
  • Press A or / - actual size.
  • Press B or * - best fit.
  • Press + key or Up arrow key - zoom in.
  • Press - key or Down arrow key - zoom out.
  • Press C key - copy to folder.
  • Press M key - move to folder.
  • Press D key - edit image description/comment (for JPEG images only).
  • Press E key - open with the first External Program.
  • Press I key - image properties.
  • Press S key - slideshow.
  • Press L or < key - rotate left and save.
  • Press R or > key - rotate right and save.
  • Press H key - flip horizontal and save.
  • Press V key - flip vertical and save.
  • Press W key - open Windows Explorer.
  • Press X key - crop board.
  • Press Ctrl + R key - resize image.
  • Press Ctrl + H key - histogram.
  • Press Ctrl + Z key - undo.
  • Press Ctrl + Y key - redo.
  • Press Enter or F key - switch between full screen and browser.
  • Press mouse wheel button - switch between full screen and browser.
  • Press Esc key - exit from full screen.
  • For multi page TIFF / GIF images:
    • Press Ctrl + Right arrow - next frame.
    • Press Ctrl + Left arrow - previous frame.
    • Press Ctrl + PgDn - next frame.
    • Press Ctrl + PgUp - previous frame.
    • Press Shift + scroll mouse wheel - next/previous frame.
  • To sort with filename, type, dimension, size or date - change Browser Style to Report View and click on column headers.


Image Convert

Batch Convert and Rename

FastStone Image Viewer includes a powerful image converter/resizer that enable users to convert, rename, resize, crop, rotate, change color depth, add text and watermark to images in a quick and easy BATCH mode. Drag & Drop is well supported.

To open this converter, just go to Tools menu and select Batch Image Convert/Rename.

Batch Image Convert (Including resize, crop, rotate, color adjust ...)

In "Batch Convert" tab, you can convert images between JPEG,BMP,GIF,PNG,JPEG2000 formats, apply advanced options including resize, crop, color effects, texts, watermarks etc. You can also specify the output image names with sequential number, parent folder name, file date time.

  1. Use "Add" or "Add all" button or Drag and Drop with the mouse to fill the Input List with images and folders you want to convert.
  2. Select an output image format:JPEG,BMP,GIF,PNG,JPEG2000.
  3. Click on "Options" if you want to change parameters for the specified image format.
  4. Specify the Output folder.
  5. If you want to preserve the folder structure as the same as that in Input List, check "Use folder structure in output folder". Otherwise all files in the Input List will be generated in the output folder without folder structure.
  6. If you want to apply Resize, Crop ... adjustments to images, check "Use advanced options" and click "Options" to specify what changes you want to make.
  7. If you want to rename the output images, check "Rename" and specify the renaming format. Uncheck this option will preserve the original image names.
  8. Check "Ask before overwrite" to make sure a confirmation window will prompt if the target image already exists.
  9. Check "Keep original date/time attributes" to preserve date time stamps of original files.
  10. Click on "Start" button to start the conversion.

Batch Image Rename

In "Batch Rename" tab, you can rename images in batch mode with sequential number, parent folder name, file date time. All renames will be done to the original images.

  1. Use "Add" or "Add all" button or Drag and Drop with the mouse to fill the Input List with images and folders you want to convert.
  2. Specify the renaming format.
  3. Click on "Start" button to start image rename.


Overview

License Agreement

Please read the following terms and conditions before using this software. Installing and using this software indicates you accept the terms of this license agreement and warranty.

  • Disclaimer of warranty

    FastStone Image Viewer is provided "as-is" and without warranty of any kind, express, implied or otherwise, including without limitation, any warranty of merchantability or fitness for a particular purpose.

    In no event shall the author of this software be held liable for data loss, damages, loss of profits or any other kind of loss while using or misusing this software.

    The software must not be modified, you may not de-compile, disassemble.
  • License

    FastStone Image Viewer is provided as freeware for private (non commercial), or educational (including non-profit organization) use. In this case, you are granted the right to use and to make an unlimited number of copies of this software.

    For commercial use, it is necessary to register. It is an important help for the development of future versions. Click here to find out how to register for commercial use.
  • Distribution

    FastStone Image Viewer can be distributed by anyone in any kind of media including internet and CDs.

Copyright (C) 2004 FastStone Soft. All rights reserved.


Contact Us

FastStone Soft specializes in Media Processing Research. We are developing free programs to share our ideas with people and hoping that these programs can be useful for people worldwide.

Programs are no ad-ware, no spy-ware guarantee!

For new version of this program or other free programs, please visit www.FastStone.org Thank you.

If you have any suggestions or concerns, please feel free to contact us by support@faststone.org. We appreciate any comments, suggestions or criticisms.

Thank you!